/*
 *  Crystality Plugin - A plugin for remastering mp3 sound in realtime
 *
 *	Copyright (C) 2002 Alex Lagutin <alex@subband.com>
 *  Copyright (C) 2001 Rafal Bosak <gyver@fanthom.irc.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __COM_SUBBAND_CRYSTALITY_H__
#define __COM_SUBBAND_CRYSTALITY_H__

#if !defined(__osx__)
#include "mss_types.h"
#else
#include <mss/mss_types.h>
#endif

#define	COM_SUBBAND_CRYSTALITY_UID		"com.subband.crystality"
#if defined(__OBJC__)
#define	@COM_SUBBAND_CRYSTALITY_UID		@"com.subband.crystality"
#endif

/* Plugin control definitions */
enum
{
	kCrystalityBextLevel		= CHAR4('b','e','x','t'),	/* data is ptr to float (0..100) */
	kCrystalityFilterLevel		= CHAR4('f','i','l','t'),	/* data is ptr to int (1..3) */
	kCrystalityEchoLevel		= CHAR4('e','c','h','o'),	/* data is ptr to float (0..100) */
	kCrystalityStereoLevel		= CHAR4('s','t','r','o'),	/* data is ptr to float (0..100) */
	kCrystalityFeedbackLevel	= CHAR4('f','e','e','d'),	/* data is ptr to float (0..100) */
	kCrystalityHarmonicsLevel	= CHAR4('h','a','r','m'),	/* data is ptr to float (0..100) */
	kCrystalitySetDefaults		= CHAR4('d','f','l','t'),	/* write-only, data is ptr to NULL */
	kCrystality3DEchoEnabled	= CHAR4('.','e','c','h'),	/* data is ptr to int (0..1) */
	kCrystalityBextEnabled		= CHAR4('.','b','x','t')	/* data is ptr to int (0..1) */
};

#endif /*__COM_SUBBAND_CRYSTALITY_H__*/
